package com.sztzjy.forex.trading_trading.dto;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

import javax.validation.constraints.NotNull;

@ApiModel("成绩权重详情")
@Getter
@Setter
@Data
public class GradeWeightDetailBO {

    @NotNull
    @ApiModelProperty("收益率最大值")
    private double maxProfit;
    @NotNull
    @ApiModelProperty("收益率最小值")
    private double minProfit;
    @NotNull
    @ApiModelProperty("对应分数")
    private double score;
    @NotNull
    @ApiModelProperty("计算方式级别")
    private Integer level;

    public GradeWeightDetailBO(double maxProfit, double minProfit, double score, Integer level) {
        this.maxProfit = maxProfit;
        this.minProfit = minProfit;
        this.score = score;
        this.level = level;
    }

    public GradeWeightDetailBO() {
    }
}
