package com.sztzjy.forex.trading_trading.dto;

import com.sztzjy.forex.trading_trading.entity.PendingOrder;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Data
@Getter
@Setter
public class PengdingVo {


    private String pengdingOrderId;
    private String memberId;
    private String trainingId;
    private Date commissionTime;
    private String tradingCode;
    private String currencyName;
    private String commissionNumber;
    private String buySellType;
    private Double volumeTransaction;
    private Double priceCommission;
    private Double stopLoss;
    private Double stopWin;
    private Date validityTime;
    private Integer status;
    private Double currentPrice;

    public PengdingVo(PendingOrder pendingOrder) {
        this.pengdingOrderId = pendingOrder.getPendingOrderId();
        this.memberId = pendingOrder.getMemberId();
        this.trainingId = pendingOrder.getTrainingId();
        this.commissionTime = pendingOrder.getCommissionTime();
        this.tradingCode = pendingOrder.getTradingCode();
        this.currencyName = pendingOrder.getCurrencyName();
        this.commissionNumber = pendingOrder.getCommissionNumber();
        this.buySellType = pendingOrder.getBuySellType();
        this.volumeTransaction = pendingOrder.getVolumeTransaction();
        this.priceCommission = pendingOrder.getPriceCommission();
        this.stopLoss = pendingOrder.getStopLoss();
        this.stopWin = pendingOrder.getStopWin();
        this.validityTime = pendingOrder.getValidityTime();
        this.status = pendingOrder.getStatus();
    }
}
