package com.sztzjy.forex.trading_trading.dto;

import cn.hutool.core.util.IdUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import org.springframework.data.annotation.Transient;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Data
@Getter
@Setter
@ApiModel("创建实训入参")
public class TrainingBO {


    @ApiModelProperty("实训开始时间")
    private Long startTime;
    @ApiModelProperty("实训结束时间")
    private Long endTime;
    @ApiModelProperty("实训名称")
    private String trainingName;
    @ApiModelProperty("参加实训人数")
    @JsonIgnore
    private Integer peopleCount;
    @ApiModelProperty("实训班级")
    private List<Integer> classId;
    @ApiModelProperty("单个新增的用户信息")
    private List<Map<String,Object>> addUserInfos;

}
