package com.sztzjy.forex.trading_trading.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Entity;
import javax.persistence.Table;

@ApiModel("日志")
@Getter
@Setter
@Entity
@Table(name = "sys_log")
public class Log extends Base {
    @ApiModelProperty("执行的操作")
    private String action;
    @ApiModelProperty("操作来源IP地址")
    private String ipAddress;
    @ApiModelProperty("操作人ID")
    private String operatorId;
    @ApiModelProperty("操作人姓名")
    private String operatorName;
    @ApiModelProperty("客户端")
    private String userAgent;
    @ApiModelProperty("执行参数")
    private String params;
    @ApiModelProperty("描述")
    private String description;

}
