package com.sztzjy.forex.trading_trading.service;

import com.sztzjy.forex.trading_trading.entity.ForexMarketData;
import com.sztzjy.forex.trading_trading.entity.mql5Entity.ForexData;
import com.sztzjy.forex.trading_trading.mappers.ForexMarketDataMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class ForexMarketDataService {

    @Autowired
    ForexMarketDataMapper forexMarketDataMapper;


    public void insertAll(List<ForexMarketData> forexMarketDataList) {
        forexMarketDataMapper.insertAll(forexMarketDataList);
    }

    public void insertAllByMarketData(List<ForexMarketData> forexMarketData) {
        forexMarketDataMapper.insertAll(forexMarketData);
    }

    public List<ForexMarketData> selectLastForexMarketData() {
        return forexMarketDataMapper.selectLastForexMarketData();
    }

}
