package com.sztzjy.forex.trading_trading.util;

import com.sztzjy.forex.trading_trading.entity.ForexMarketData;
import com.sztzjy.forex.trading_trading.util.RedisUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.RestController;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Component
public class ForexMarketDateUtil {
    @Autowired
    RedisUtil redisUtil;
    //根据tradingCode获取ForexMarketData对象
    public ForexMarketData getForexMarketDateByCode(String tradingCode){
        List<ForexMarketData> forexDateList = redisUtil.get("ForexDateList");
        Map<String,ForexMarketData> map=new HashMap<>();
        if (forexDateList.size() > 0) {
            for (int i = 0; i < forexDateList.size(); i++) {
                String getCode = forexDateList.get(i).getCode();
                map.put(getCode,forexDateList.get(i));
            }
        }
        ForexMarketData forexData = map.get(tradingCode);
        return forexData;
    }

    public Map<String,ForexMarketData> getForexMarketDateMap( List<ForexMarketData> forexDateList){
        Map<String,ForexMarketData> map=new HashMap<>();
        if (forexDateList.size() > 0) {
            for (int i = 0; i < forexDateList.size(); i++) {
                String getCode = forexDateList.get(i).getCode();
                map.put(getCode,forexDateList.get(i));
            }
        }
        return map;
    }
}
