package com.sztzjy.forex.trading_trading.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.NonNull;
import lombok.Setter;

import javax.validation.constraints.NotNull;
import java.util.List;

@ApiModel("成绩权重入参")
@Getter
@Setter
@Data
public class GradeWeightBO {

    @NotNull
    @ApiModelProperty("模拟交易收益评分")
    private double simulationTradingProfitScore;
    @ApiModelProperty("实验报告评分")
    @NotNull
    private double experimentalReportScore;
    @ApiModelProperty("权重详情")
    private List<GradeWeightDetailBO> detail;
}
