package com.sztzjy.forex.trading_trading.dto;

import com.sztzjy.forex.trading_trading.entity.TakeStash;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Data
@Getter
@Setter
public class TakeStashVO {

    public TakeStashVO() {
        // 无参数的默认构造函数
    }

    public TakeStashVO(TakeStash takeStash){
        this.stashId = takeStash.getStashId();
        this.memberId = takeStash.getMemberId();
        this.trainingId = takeStash.getTrainingId();
        this.tradingCode = takeStash.getTradingCode();
        this.orderNumber = takeStash.getOrderNumber();
        this.buySellType = takeStash.getBuySellType();
        this.volumeTransaction = takeStash.getVolumeTransaction();
        this.priceTransaction = takeStash.getPriceTransaction();
        this.stopLoss = takeStash.getStopLoss();
        this.stopWin = takeStash.getStopWin();
        this.timeTransaction = takeStash.getTimeTransaction();
        this.status = takeStash.getStatus();
        this.currencyName=takeStash.getCurrencyName();
        this.profitAndLossByClose=takeStash.getProfitAndLossByClose();
        this.priceTransactionClose=takeStash.getPriceTransactionClose();
        this.timeTransactionClose=takeStash.getTimeTransactionClose();
    }
    private String stashId;

    private String memberId;

    private String trainingId;

    private String tradingCode;

    private String orderNumber;

    private String buySellType;

    private Double volumeTransaction;

    private Double priceTransaction;

    private Double stopLoss;

    private Double stopWin;

    private Date timeTransaction;

    private Integer status;

    private Double currentPrice;

    private Double profitAndLoss;

    private String currencyName;

    private Double profitAndLossByClose;

    private Double priceTransactionClose;

    private Date timeTransactionClose;
}
