package com.sztzjy.forex.trading_trading.service;

import com.sztzjy.forex.trading_trading.entity.RoleRoute;
import com.sztzjy.forex.trading_trading.entity.RoleRouteExample;
import com.sztzjy.forex.trading_trading.mappers.RoleRouteMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import java.util.ArrayList;
import java.util.List;

@Service
public class RoleRouteService {

    @Autowired
    RoleRouteMapper roleRouteMapper;


    public List<String> findRoutesByRoleId(int roleId) {
        RoleRouteExample example = new RoleRouteExample();
        RoleRouteExample.Criteria criteria = example.createCriteria();
        criteria.andRoleIdEqualTo(roleId);
        List<RoleRoute> roleRoutes = roleRouteMapper.selectByExample(example);

        List<String> routePaths = new ArrayList<>();
        for (RoleRoute roleRoute : roleRoutes) {
            routePaths.add(roleRoute.getRoutePath());
        }
        return routePaths;
    }
}
